Package org.etsi.uri._01903.v1_3

# Class Any

java.lang.Object
org.etsi.uri._01903.v1_3.Any

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Any extends Object implements Serializable

Java class for AnyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AnyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="unbounded" minOccurs="0">
             <any processContents='lax'/>
           </sequence>
           <anyAttribute/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Any()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getContent()`
  Gets the value of the content property.
  `Map<QName,String>`
  `getOtherAttributes()`
  Gets a map that contains attributes that aren't bound to any typed property on this class.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Any

    public Any()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

         getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `Object` `String` `Element`

    Returns:
      The value of the content property.

  - ### getOtherAttributes

    public Map<QName,String> getOtherAttributes()
    Gets a map that contains attributes that aren't bound to any typed property on this class.

    the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

    Returns:
      always non-null